# Miscellaneous scripts

Various scripts I use/used for common tasks  

## Shell scripts  

Most of these shell scripts are made for posix shells, and tested only on `bash` and `zsh`, unless specified. Test on other shells and modify at your own risk.  
Note that these two are equivalent:  
```bash
bash scriptname.sh  # Use your shell in place of bash
```  
```bash
./scriptname.sh     # Requires +x permission for execution
```  

Since `bash` and `zsh` are mostly identical in synatx, almost all scripts written for either of these work for both of them, and rarely differ in functionality, like the `()` expansions.  
Quick bash reference: [bash cheatsheet](https://devhints.io/bash)  
Zsh reference: [zsh cheatsheet](https://devhints.io/zsh)  

## Other scripts  

Other scripts, like the python scripts, are not limited to specific shells, but may require minor changes if they execute shell commands.  
